package com.zanxiang.game.data.serve.controller;

import com.zanxiang.game.data.serve.service.IGameMonitorAlarmService;
import com.zanxiang.game.data.serve.service.IOrderCostMonitorAlarmService;
import com.zanxiang.module.util.pojo.ResultVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author tianhua
 * @version 1.0
 * @description: 游戏监控告警控制器
 * @date 2023/12/13 16:20
 */
@Api(tags = {"游戏监控告警"})
@RestController
@RequestMapping("/monitor/alarm")
public class GameMonitorAlarmController {

    @Autowired
    private IGameMonitorAlarmService gameMonitorAlarmService;
    @Resource
    private IOrderCostMonitorAlarmService orderCostMonitorAlarmService;

    @ApiOperation(value = "发送钉钉消息")
    @PutMapping("/sendMsg")
    public ResultVO<Boolean> sendDingMsgToUser() {
        return ResultVO.ok(gameMonitorAlarmService.sendMsgToUser());
    }


    @ApiOperation(value = "监控")
    @PutMapping("/monitor")
    public ResultVO<Boolean> monitor() {
        orderCostMonitorAlarmService.testSendSms("测试短信");
//        orderCostMonitorAlarmService.monitorTencentCostStatus();
//        orderCostMonitorAlarmService.monitorDataStatus();
        return ResultVO.ok();
    }
}
