package com.zanxiang.game.data.serve.pojo.dto;

import com.zanxiang.game.data.serve.pojo.base.BasePage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

/**
 * @author ZhangXianyu
 * @description: 游戏区服列表条件类
 * @date 2024-03-14 19:06:50
 */
@Data
public class GSGameServerDayDTO extends BasePage implements Serializable {

    /**
     * 游戏维度：1-子游戏维度;2-父游戏维度;3-超父游戏维度
     */
    @ApiModelProperty(notes = "游戏维度：1-子游戏维度;2-父游戏维度")
    private Integer gameDimension = 1;

    /**
     * 游戏id
     */
    @ApiModelProperty(value = "游戏id")
    private List<Long> gameId;

    /**
     * GS id
     */
    @ApiModelProperty(value = "GS id")
    private List<Long> gsId;

    /**
     * 区服名称
     */
    @ApiModelProperty(value = "区服名称")
    private String serverName;

    /**
     * 区服id
     */
    @ApiModelProperty(value = "区服id")
    private Long serverId;

    /**
     * 开服时间
     */
    @ApiModelProperty(value = "开服时间（起始）")
    private LocalDate beginDate;

    /**
     * 开服时间
     */
    @ApiModelProperty(value = "开服时间（结束）")
    private LocalDate endDate;

    /**
     * 开服天数
     */
    @ApiModelProperty(value = "开服天数")
    private Integer day;

}
