package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @author tianhua
 * @time 2023/7/12
 * @Description 返回给前端的游戏每日数据实体
 **/
@Data
public class GameDataDayVO {

    /**
     * 游戏ID
     */
    @ApiModelProperty(value = "游戏ID")
    private Long gameId;

    /**
     * 推广游戏名称
     */
    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    /**
     * 推广游戏应用类型
     */
    @ApiModelProperty(value = "游戏类型")
    private Long gameClassify;

    /**
     * SDK来源
     */
    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    /**
     * 注册时间
     */
    @ApiModelProperty(value = "注册时间（消耗时间）")
    private LocalDate costDate;

    /**
     * 消耗
     */
    @ApiModelProperty(value = "消耗")
    private BigDecimal cost;

    /**
     * 注册人数（总）
     */
    @ApiModelProperty(value = "注册人数（总量）")
    private Long regNum;

    /**
     * 首日新用户充值次数（总量）
     */
    @ApiModelProperty(value = "首日新用户充值次数（总量）")
    private Long firstNewUserAmountCount;

    /**
     * 首日新用户充值人数（总量）
     */
    @ApiModelProperty(value = "首日新用户充值人数（总量）")
    private Long firstNewUserAmountNum;

    /**
     * 首日新用户充值金额（总量）
     */
    @ApiModelProperty(value = "首日新用户充值金额（总量）")
    private BigDecimal firstNewUserAmount;

    /**
     * 老用户充值次数（总量）
     */
    @ApiModelProperty(value = "老用户充值次数（总量）")
    private Long oldUserCount;

    /**
     * 老用户充值人数（总量）
     */
    @ApiModelProperty(value = "老用户充值人数（总量）")
    private Long oldUserNum;

    /**
     * 老用户充值金额（总量）
     */
    @ApiModelProperty(value = "老用户充值金额（总量）")
    private BigDecimal oldUserAmount;

    /**
     * 账面充值次数（总量）
     */
    @ApiModelProperty(value = "账面充值次数（总量）")
    private Long amountCount;

    /**
     * 账面充值人数（总量）
     */
    @ApiModelProperty(value = "账面充值人数（总量）")
    private Long amountNum;

    /**
     * 账面充值金额（总量）
     */
    @ApiModelProperty(value = "账面充值金额（总量）")
    private BigDecimal amount;

    /**
     * 新用户累计充值次数（总量）
     */
    @ApiModelProperty(value = "新用户累计充值次数（总量）")
    private Long newUserTotalAmountCount;

    /**
     * 新用户累计充值人数（总量）
     */
    @ApiModelProperty(value = "新用户累计充值人数（总量）")
    private Long newUserTotalAmountNum;

    /**
     * 新用户累计充值金额（总量）
     */
    @ApiModelProperty(value = "新用户累计充值金额（总量）")
    private BigDecimal newUserTotalAmount;

    /**
     * 首日Roi（总量）
     */
    @ApiModelProperty(value = "首日Roi（总量）")
    private BigDecimal firstRoi;

    @ApiModelProperty(value = "首日付费率（总）")
    private BigDecimal firstAmountRate;

    @ApiModelProperty(value = "当天付费率（总）")
    private BigDecimal todayAmountRate;

    /**
     * 新用户付费比（总量）
     */
    @ApiModelProperty(value = "新用户付费比（总量）")
    private BigDecimal newUserRate;

    /**
     * 首日客单价（总量）
     */
    @ApiModelProperty(value = "首日客单价（总量）")
    private BigDecimal firstAvgAmount;

    /**
     * 当天客单价（总量）
     */
    @ApiModelProperty(value = "当天客单价（总量）")
    private BigDecimal todayAvgAmount;

    /**
     * 账面客单价（总量）
     */
    @ApiModelProperty(value = "账面客单价（总量）")
    private BigDecimal avgAmount;

    /**
     * 复充率（总量）
     */
    @ApiModelProperty(value = "复充率（总量）")
    private BigDecimal userAgainRate;

    /**
     * 新增注册ARPU（总量）
     */
    @ApiModelProperty(value = "新增注册ARPU（总量）")
    private BigDecimal regUserArpu;

    /**
     * 首日付费ARPU（总量）
     */
    @ApiModelProperty(value = "首日付费ARPU（总量）")
    private BigDecimal firstAmountArpu;

    /**
     * 当天付费ARPU（总量）
     */
    @ApiModelProperty(value = "当天付费ARPU（总量）")
    private BigDecimal todayAmountArpu;

    /**
     * 账面ARPU（总量）
     */
    @ApiModelProperty(value = "账面ARPU（总量）")
    private BigDecimal amountArpu;

    /**
     * 付费趋势：1天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：1天（总量）金额/人数/增/回/倍")
    private String amountD1;

    /**
     * 付费趋势：2天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：2天（总量）金额/人数/增/回/倍")
    private String amountD2;

    /**
     * 付费趋势：3天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：3天（总量）金额/人数/增/回/倍")
    private String amountD3;

    /**
     * 付费趋势：4天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：4天（总量）金额/人数/增/回/倍")
    private String amountD4;

    /**
     * 付费趋势：5天（总量）金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "(不展示)付费趋势：5天（总量）金额/人数/增/回/倍")
    private String amountD5;

    /**
     * 付费趋势：6天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6天（总量）金额/人数/增/回/倍")
    private String amountD6;

    /**
     * 付费趋势：7天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：7天（总量）金额/人数/增/回/倍")
    private String amountD7;

    /**
     * 付费趋势：8天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：8天（总量）金额/人数/增/回/倍")
    private String amountD8;

    /**
     * 付费趋势：9天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：9天（总量）金额/人数/增/回/倍")
    private String amountD9;

    /**
     * 付费趋势：10天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：10天（总量）金额/人数/增/回/倍")
    private String amountD10;

    /**
     * 付费趋势：11天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：11天（总量）金额/人数/增/回/倍")
    private String amountD11;

    /**
     * 付费趋势：12天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：12天（总量）金额/人数/增/回/倍")
    private String amountD12;

    /**
     * 付费趋势：13天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：13天（总量）金额/人数/增/回/倍")
    private String amountD13;

    /**
     * 付费趋势：14天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：14天（总量）金额/人数/增/回/倍")
    private String amountD14;

    /**
     * 付费趋势：15天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：15天（总量）金额/人数/增/回/倍")
    private String amountD15;

    /**
     * 付费趋势：16天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：16天（总量）金额/人数/增/回/倍")
    private String amountD16;

    /**
     * 付费趋势：17天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：17天（总量）金额/人数/增/回/倍")
    private String amountD17;

    /**
     * 付费趋势：18天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：18天（总量）金额/人数/增/回/倍")
    private String amountD18;

    /**
     * 付费趋势：19天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：19天（总量）金额/人数/增/回/倍")
    private String amountD19;

    /**
     * 付费趋势：20天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：20天（总量）金额/人数/增/回/倍")
    private String amountD20;

    /**
     * 付费趋势：21天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：21天（总量）金额/人数/增/回/倍")
    private String amountD21;

    /**
     * 付费趋势：22天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：22天（总量）金额/人数/增/回/倍")
    private String amountD22;

    /**
     * 付费趋势：23天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：23天（总量）金额/人数/增/回/倍")
    private String amountD23;

    /**
     * 付费趋势：24天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：24天（总量）金额/人数/增/回/倍")
    private String amountD24;

    /**
     * 付费趋势：25天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：25天（总量）金额/人数/增/回/倍")
    private String amountD25;

    /**
     * 付费趋势：26天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：26天（总量）金额/人数/增/回/倍")
    private String amountD26;

    /**
     * 付费趋势：27天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：27天（总量）金额/人数/增/回/倍")
    private String amountD27;

    /**
     * 付费趋势：28天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：28天（总量）金额/人数/增/回/倍")
    private String amountD28;

    /**
     * 付费趋势：29天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：29天（总量）金额/人数/增/回/倍")
    private String amountD29;

    /**
     * 付费趋势：30天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：30天（总量）金额/人数/增/回/倍")
    private String amountD30;

    /**
     * 付费趋势：31天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：31天（总量）金额/人数/增/回/倍")
    private String amountD31;

    /**
     * 付费趋势：32天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：32天（总量）金额/人数/增/回/倍")
    private String amountD32;

    /**
     * 付费趋势：33天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：33天（总量）金额/人数/增/回/倍")
    private String amountD33;

    /**
     * 付费趋势：34天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：34天（总量）金额/人数/增/回/倍")
    private String amountD34;

    /**
     * 付费趋势：35天（总量）金额/人数/增/回/倍
     */
    @ApiModelProperty(value = "(不展示)付费趋势：35天（总量）金额/人数/增/回/倍")
    private String amountD35;

    /**
     * 付费趋势：36天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：36天（总量）金额/人数/增/回/倍")
    private String amountD36;

    /**
     * 付费趋势：37天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：37天（总量）金额/人数/增/回/倍")
    private String amountD37;

    /**
     * 付费趋势：38天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：38天（总量）金额/人数/增/回/倍")
    private String amountD38;

    /**
     * 付费趋势：39天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：39天（总量）金额/人数/增/回/倍")
    private String amountD39;

    /**
     * 付费趋势：40天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：40天（总量）金额/人数/增/回/倍")
    private String amountD40;

    /**
     * 付费趋势：41天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：41天（总量）金额/人数/增/回/倍")
    private String amountD41;

    /**
     * 付费趋势：42天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：42天（总量）金额/人数/增/回/倍")
    private String amountD42;

    /**
     * 付费趋势：43天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：43天（总量）金额/人数/增/回/倍")
    private String amountD43;

    /**
     * 付费趋势：44天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：44天（总量）金额/人数/增/回/倍")
    private String amountD44;

    /**
     * 付费趋势：45天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：45天（总量）金额/人数/增/回/倍")
    private String amountD45;

    /**
     * 付费趋势：46天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：46天（总量）金额/人数/增/回/倍")
    private String amountD46;

    /**
     * 付费趋势：47天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：47天（总量）金额/人数/增/回/倍")
    private String amountD47;

    /**
     * 付费趋势：48天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：48天（总量）金额/人数/增/回/倍")
    private String amountD48;

    /**
     * 付费趋势：49天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：49天（总量）金额/人数/增/回/倍")
    private String amountD49;

    /**
     * 付费趋势：50天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：50天（总量）金额/人数/增/回/倍")
    private String amountD50;

    /**
     * 付费趋势：51天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：51天（总量）金额/人数/增/回/倍")
    private String amountD51;

    /**
     * 付费趋势：52天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：52天（总量）金额/人数/增/回/倍")
    private String amountD52;

    /**
     * 付费趋势：53天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：53天（总量）金额/人数/增/回/倍")
    private String amountD53;

    /**
     * 付费趋势：54天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：54天（总量）金额/人数/增/回/倍")
    private String amountD54;

    /**
     * 付费趋势：55天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：55天（总量）金额/人数/增/回/倍")
    private String amountD55;

    /**
     * 付费趋势：56天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：56天（总量）金额/人数/增/回/倍")
    private String amountD56;

    /**
     * 付费趋势：57天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：57天（总量）金额/人数/增/回/倍")
    private String amountD57;

    /**
     * 付费趋势：58天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：58天（总量）金额/人数/增/回/倍")
    private String amountD58;

    /**
     * 付费趋势：59天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：59天（总量）金额/人数/增/回/倍")
    private String amountD59;

    /**
     * 付费趋势：60天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：60天（总量）金额/人数/增/回/倍")
    private String amountD60;

    /**
     * 付费趋势：61天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：61天（总量）金额/人数/增/回/倍")
    private String amountD61;

    /**
     * 付费趋势：62天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：62天（总量）金额/人数/增/回/倍")
    private String amountD62;

    /**
     * 付费趋势：63天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：63天（总量）金额/人数/增/回/倍")
    private String amountD63;

    /**
     * 付费趋势：64天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：64天（总量）金额/人数/增/回/倍")
    private String amountD64;

    /**
     * 付费趋势：65天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：65天（总量）金额/人数/增/回/倍")
    private String amountD65;

    /**
     * 付费趋势：66天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：66天（总量）金额/人数/增/回/倍")
    private String amountD66;

    /**
     * 付费趋势：67天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：67天（总量）金额/人数/增/回/倍")
    private String amountD67;

    /**
     * 付费趋势：68天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：68天（总量）金额/人数/增/回/倍")
    private String amountD68;

    /**
     * 付费趋势：69天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：69天（总量）金额/人数/增/回/倍")
    private String amountD69;

    /**
     * 付费趋势：70天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：70天（总量）金额/人数/增/回/倍")
    private String amountD70;

    /**
     * 付费趋势：71天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：71天（总量）金额/人数/增/回/倍")
    private String amountD71;

    /**
     * 付费趋势：72天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：72天（总量）金额/人数/增/回/倍")
    private String amountD72;

    /**
     * 付费趋势：73天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：73天（总量）金额/人数/增/回/倍")
    private String amountD73;

    /**
     * 付费趋势：74天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：74天（总量）金额/人数/增/回/倍")
    private String amountD74;

    /**
     * 付费趋势：75天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：75天（总量）金额/人数/增/回/倍")
    private String amountD75;

    /**
     * 付费趋势：76天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：76天（总量）金额/人数/增/回/倍")
    private String amountD76;

    /**
     * 付费趋势：77天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：77天（总量）金额/人数/增/回/倍")
    private String amountD77;

    /**
     * 付费趋势：78天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：78天（总量）金额/人数/增/回/倍")
    private String amountD78;

    /**
     * 付费趋势：79天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：79天（总量）金额/人数/增/回/倍")
    private String amountD79;

    /**
     * 付费趋势：80天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：80天（总量）金额/人数/增/回/倍")
    private String amountD80;

    /**
     * 付费趋势：81天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：81天（总量）金额/人数/增/回/倍")
    private String amountD81;

    /**
     * 付费趋势：82天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：82天（总量）金额/人数/增/回/倍")
    private String amountD82;

    /**
     * 付费趋势：83天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：83天（总量）金额/人数/增/回/倍")
    private String amountD83;

    /**
     * 付费趋势：84天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：84天（总量）金额/人数/增/回/倍")
    private String amountD84;

    /**
     * 付费趋势：85天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：85天（总量）金额/人数/增/回/倍")
    private String amountD85;

    /**
     * 付费趋势：86天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：86天（总量）金额/人数/增/回/倍")
    private String amountD86;

    /**
     * 付费趋势：87天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：87天（总量）金额/人数/增/回/倍")
    private String amountD87;

    /**
     * 付费趋势：88天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：88天（总量）金额/人数/增/回/倍")
    private String amountD88;

    /**
     * 付费趋势：89天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：89天（总量）金额/人数/增/回/倍")
    private String amountD89;

    /**
     * 付费趋势：90天（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：90天（总量）金额/人数/增/回/倍")
    private String amountD90;

    /**
     * 付费趋势：4个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：4个月（总量）金额/人数/增/回/倍")
    private String amountM4;

    /**
     * 付费趋势：5个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：5个月（总量）金额/人数/增/回/倍")
    private String amountM5;

    /**
     * 付费趋势：6个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：6个月（总量）金额/人数/增/回/倍")
    private String amountM6;

    /**
     * 付费趋势：7个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：7个月（总量）金额/人数/增/回/倍")
    private String amountM7;

    /**
     * 付费趋势：8个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：8个月（总量）金额/人数/增/回/倍")
    private String amountM8;

    /**
     * 付费趋势：9个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：9个月（总量）金额/人数/增/回/倍")
    private String amountM9;

    /**
     * 付费趋势：10个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：10个月（总量）金额/人数/增/回/倍")
    private String amountM10;

    /**
     * 付费趋势：11个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：11个月（总量）金额/人数/增/回/倍")
    private String amountM11;

    /**
     * 付费趋势：12个月（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：12个月（总量）金额/人数/增/回/倍")
    private String amountM12;

    /**
     * 付费趋势：总（总量）金额/人数/增/回/倍(不展示)
     */
    @ApiModelProperty(value = "(不展示)付费趋势：总（总量）金额/人数/增/回/倍")
    private String amountSum;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD1Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD2Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD3Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD4Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD5Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD6Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD7Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD8Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD9Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD10Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD11Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD12Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD13Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD14Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD15Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD16Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD17Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD18Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD19Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD20Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD21Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD22Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD23Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD24Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD25Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD26Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD27Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD28Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD29Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD30Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD31Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD32Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD33Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD34Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD35Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD36Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD37Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD38Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD39Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD40Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD41Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD42Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD43Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD44Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD45Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD46Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD47Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD48Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD49Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD50Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD51Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD52Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD53Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD54Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD55Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD56Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD57Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD58Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD59Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD60Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD61Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD62Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD63Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD64Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD65Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD66Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD67Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD68Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD69Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD70Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD71Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD72Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD73Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD74Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD75Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD76Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD77Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD78Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD79Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD80Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD81Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD82Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD83Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD84Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD85Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD86Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD87Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD88Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD89Trend;

    @ApiModelProperty(value = "付费趋势：1~90天（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountD90Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM4Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM5Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM6Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM7Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM8Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM9Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM10Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM11Trend;

    @ApiModelProperty(value = "付费趋势：4-12个月（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountM12Trend;

    @ApiModelProperty(value = "付费趋势：总（总量）金额/人数/增/回/倍")
    private RechargeTrendVO amountSumTrend;

    @ApiModelProperty(value = "注册成本（总量） = 消耗 / 注册人数")
    private BigDecimal regCost;

    @ApiModelProperty(value = "总回收率（总量） = 新用户累计充值金额 / 消耗")
    private BigDecimal totalRoi;

    @ApiModelProperty(value = "首日充值成本（总量） = 消耗 / 首日新用户充值人数")
    private BigDecimal firstNewUserRechargeCost;

    @ApiModelProperty(value = "总充值成本（总量） = 消耗 / 新用户累计充值人数")
    private BigDecimal totalRechargeCost;

    @ApiModelProperty(value = "单日付费100+人数（总量）")
    private Long hundredUserNum;

    @ApiModelProperty(value = "单日付费100+成本 = 消耗 / 单日付费100+人数（总量）")
    private BigDecimal hundredUserNumCost;

    @ApiModelProperty(value = "首日创角人数（总量）")
    private Long firstRoleNum;

    @ApiModelProperty(value = "创角人数（总量）")
    private Long roleNum;

    @ApiModelProperty(value = "新用户累计创角人数（总量）")
    private Long newUserTotalRoleNum;

    @ApiModelProperty(value = "首日创角人数成本（总量）")
    private BigDecimal firstRoleNumCost;

    @ApiModelProperty(value = "创角人数成本（总量）")
    private BigDecimal roleNumCost;

    @ApiModelProperty(value = "新用户累计创角人数成本（总量）")
    private BigDecimal newUserTotalRoleNumCost;

    @ApiModelProperty(value = "首日创角率（总量）")
    private BigDecimal firstRoleNumRate;

    @ApiModelProperty(value = "创角率（总量）")
    private BigDecimal roleNumRate;

    @ApiModelProperty(value = "新用户累计创角率（总量）")
    private BigDecimal newUserTotalRoleNumRate;

    @ApiModelProperty(value = "da1的用户详情")
    private FirstNewUserAgainTrendVO userDetails;

}
